{% extends 'base.html' %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p><a href="{% url "create_project" %}">Create a new project</a></p>
            {% if not project_list %}
                <p>You are not assigned to any projects</p>
            {% else %}
                <table>
                    <thead>
                        <td>Name</td>
                        <td>Number of tasks</td>
                    </thead>
                    {% for project in project_list %}
                        <tbody>
                            <tr>
                                <td><a href="{% url "show_project" project.pk %}">{{project.name}}</a></td>
                                <td>{{project.tasks.all|length}}</td>
                            </tr>
                        </tbody>
                    {% endfor %}
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
